#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <set>
#include <unordered_map>

#define int long long

using namespace std;

signed main() {
    int n, m, g;
    cin >> n >> m >> g;
    for (int i = 0; i < m; ++i) {
        int u, v;
        cin >> u >> v;
    }
    cout << m - (n - 1) << endl << 1;
}


